"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concierge = void 0;
var concierge = function (payload, hooks) {
    var processRead = hooks.processRead;
    var thisPayload = (payload && payload[0]) || false;
    var command = (thisPayload && thisPayload[0] && thisPayload[0][0]) || null;
    var parameters = (thisPayload && thisPayload[0] && thisPayload[0][1]) || null;
    var parameterOne = (parameters && parameters[0]) || null;
    var parameterTwo = (parameters && parameters[1]) || null;
    switch (command) {
        case "goto":
            switch (parameterOne) {
                case "home":
                    processRead("/");
                    break;
                case "concierge":
                    processRead("/concierge/".concat(parameterTwo));
                    break;
                case "context":
                    processRead("/context/".concat(parameterTwo));
                    break;
                case "storyFragment":
                    processRead(parameterTwo);
                    break;
                default:
                    console.log("LispActionPayload misfire on goto", parameters);
            }
            break;
        default:
            console.log("LispActionPayload misfire", command, parameters);
            break;
    }
};
exports.concierge = concierge;
//# sourceMappingURL=concierge.js.map